
// This file has been generated by the GUI designer. Do not modify.

public partial class MainWindow
{
	private global::Gtk.VBox vboxMainWindow;

	private global::Gtk.Notebook notebook1;

	private global::Gtk.VBox vboxPlay;

	private global::Gtk.CheckButton btnPlayBattlEye;

	private global::Gtk.CheckButton btnEnableGm;

	private global::Gtk.CheckButton btnEnableContact;

	private global::Gtk.Button btnPlayWithoutMods;

	private global::Gtk.Button btnPlayWithMods;

	private global::Gtk.Label labPlayTab;

	private global::Gtk.VBox vboxParameters;

	private global::Gtk.CheckButton btnNoSplash;

	private global::Gtk.CheckButton btnSkipIntro;

	private global::Gtk.CheckButton btnWindowed;

	private global::Gtk.HBox hbox2;

	private global::Gtk.CheckButton cbExtraParams;

	private global::Gtk.Entry teExtraParams;

	private global::Gtk.Label labParameters;

	private global::Gtk.VBox vboxMods;

	private global::Gtk.ScrolledWindow swModList;

	private global::Gtk.TreeView tvModList;

	private global::Gtk.HBox hbox1;

	private global::Gtk.Button btnSaveModPreset;

	private global::Gtk.Button btnLoadModPreset;

	private global::Gtk.Label labMods;

	private global::Gtk.VBox vboxServerBrowser;

	private global::Gtk.HBox hboxServerTypes;

	private global::Gtk.RadioButton rbServerInternet;

	private global::Gtk.RadioButton rbServerFavorites;

	private global::Gtk.RadioButton rbServerHistory;

	private global::Gtk.RadioButton rbServerLan;

	private global::Gtk.RadioButton rbServerFriends;

	private global::Gtk.HBox hboxServerUpperBar;

	private global::Gtk.Expander expFilters;

	private global::Gtk.HBox hboxFilters;

	private global::Gtk.HBox hboxFilterBattlEye;

	private global::Gtk.Label lblFilterBattlEye;

	private global::Gtk.RadioButton rbFilterBattlEyeAny;

	private global::Gtk.RadioButton rbFilterBattlEyeYes;

	private global::Gtk.RadioButton rbFilterBattlEyeNo;

	private global::Gtk.VBox vboxFiltersRight;

	private global::Gtk.CheckButton btnFilterNotFull;

	private global::Gtk.CheckButton btnFilterHasPlayers;

	private global::Gtk.CheckButton btnFilterNoPassword;

	private global::Gtk.Label lblExpFilters;

	private global::Gtk.ScrolledWindow GtkScrolledWindow;

	private global::Gtk.TreeView tvServerList;

	private global::Gtk.HBox hboxServerLowerBar;

	private global::Gtk.Button btnServerConnectDirect;

	private global::Gtk.Button btnServerRefresh;

	private global::Gtk.Button btnSelectedServerConnect;

	private global::Gtk.Button btnSelectedServerDetails;

	private global::Gtk.Label labServers;

	private global::Gtk.VBox vboxOptions;

	private global::Gtk.HBox hboxProtonExe;

	private global::Gtk.Label lblProtonExe;

	private global::Gtk.FileChooserButton fcProtonExe;

	private global::Gtk.Label labOptionsTab;

	protected virtual void Build()
	{
		global::Stetic.Gui.Initialize(this);
		// Widget MainWindow
		this.Name = "MainWindow";
		this.Title = global::Mono.Unix.Catalog.GetString("BA3L");
		this.WindowPosition = ((global::Gtk.WindowPosition)(4));
		this.DefaultWidth = 1280;
		this.DefaultHeight = 720;
		// Container child MainWindow.Gtk.Container+ContainerChild
		this.vboxMainWindow = new global::Gtk.VBox();
		this.vboxMainWindow.Name = "vboxMainWindow";
		this.vboxMainWindow.Spacing = 6;
		// Container child vboxMainWindow.Gtk.Box+BoxChild
		this.notebook1 = new global::Gtk.Notebook();
		this.notebook1.CanFocus = true;
		this.notebook1.Name = "notebook1";
		this.notebook1.CurrentPage = 0;
		// Container child notebook1.Gtk.Notebook+NotebookChild
		this.vboxPlay = new global::Gtk.VBox();
		this.vboxPlay.Name = "vboxPlay";
		this.vboxPlay.Spacing = 6;
		// Container child vboxPlay.Gtk.Box+BoxChild
		this.btnPlayBattlEye = new global::Gtk.CheckButton();
		this.btnPlayBattlEye.CanFocus = true;
		this.btnPlayBattlEye.Name = "btnPlayBattlEye";
		this.btnPlayBattlEye.Label = global::Mono.Unix.Catalog.GetString("Enable BattlEye");
		this.btnPlayBattlEye.DrawIndicator = true;
		this.btnPlayBattlEye.UseUnderline = true;
		this.vboxPlay.Add(this.btnPlayBattlEye);
		global::Gtk.Box.BoxChild w1 = ((global::Gtk.Box.BoxChild)(this.vboxPlay[this.btnPlayBattlEye]));
		w1.Position = 0;
		w1.Expand = false;
		w1.Fill = false;
		// Container child vboxPlay.Gtk.Box+BoxChild
		this.btnEnableGm = new global::Gtk.CheckButton();
		this.btnEnableGm.CanFocus = true;
		this.btnEnableGm.Name = "btnEnableGm";
		this.btnEnableGm.Label = global::Mono.Unix.Catalog.GetString("Enable Global Mobilization");
		this.btnEnableGm.DrawIndicator = true;
		this.btnEnableGm.UseUnderline = true;
		this.vboxPlay.Add(this.btnEnableGm);
		global::Gtk.Box.BoxChild w2 = ((global::Gtk.Box.BoxChild)(this.vboxPlay[this.btnEnableGm]));
		w2.Position = 1;
		w2.Expand = false;
		w2.Fill = false;
		// Container child vboxPlay.Gtk.Box+BoxChild
		this.btnEnableContact = new global::Gtk.CheckButton();
		this.btnEnableContact.CanFocus = true;
		this.btnEnableContact.Name = "btnEnableContact";
		this.btnEnableContact.Label = global::Mono.Unix.Catalog.GetString("Enable Contact");
		this.btnEnableContact.DrawIndicator = true;
		this.btnEnableContact.UseUnderline = true;
		this.vboxPlay.Add(this.btnEnableContact);
		global::Gtk.Box.BoxChild w3 = ((global::Gtk.Box.BoxChild)(this.vboxPlay[this.btnEnableContact]));
		w3.Position = 2;
		w3.Expand = false;
		w3.Fill = false;
		// Container child vboxPlay.Gtk.Box+BoxChild
		this.btnPlayWithoutMods = new global::Gtk.Button();
		this.btnPlayWithoutMods.CanFocus = true;
		this.btnPlayWithoutMods.Name = "btnPlayWithoutMods";
		this.btnPlayWithoutMods.UseUnderline = true;
		this.btnPlayWithoutMods.Label = global::Mono.Unix.Catalog.GetString("Play Without Mods");
		this.vboxPlay.Add(this.btnPlayWithoutMods);
		global::Gtk.Box.BoxChild w4 = ((global::Gtk.Box.BoxChild)(this.vboxPlay[this.btnPlayWithoutMods]));
		w4.Position = 3;
		w4.Expand = false;
		w4.Fill = false;
		// Container child vboxPlay.Gtk.Box+BoxChild
		this.btnPlayWithMods = new global::Gtk.Button();
		this.btnPlayWithMods.CanFocus = true;
		this.btnPlayWithMods.Name = "btnPlayWithMods";
		this.btnPlayWithMods.UseUnderline = true;
		this.btnPlayWithMods.Label = global::Mono.Unix.Catalog.GetString("Play With Mods");
		this.vboxPlay.Add(this.btnPlayWithMods);
		global::Gtk.Box.BoxChild w5 = ((global::Gtk.Box.BoxChild)(this.vboxPlay[this.btnPlayWithMods]));
		w5.Position = 4;
		w5.Expand = false;
		w5.Fill = false;
		this.notebook1.Add(this.vboxPlay);
		// Notebook tab
		this.labPlayTab = new global::Gtk.Label();
		this.labPlayTab.Name = "labPlayTab";
		this.labPlayTab.LabelProp = global::Mono.Unix.Catalog.GetString("Play");
		this.notebook1.SetTabLabel(this.vboxPlay, this.labPlayTab);
		this.labPlayTab.ShowAll();
		// Container child notebook1.Gtk.Notebook+NotebookChild
		this.vboxParameters = new global::Gtk.VBox();
		this.vboxParameters.Name = "vboxParameters";
		this.vboxParameters.Spacing = 6;
		// Container child vboxParameters.Gtk.Box+BoxChild
		this.btnNoSplash = new global::Gtk.CheckButton();
		this.btnNoSplash.CanFocus = true;
		this.btnNoSplash.Name = "btnNoSplash";
		this.btnNoSplash.Label = global::Mono.Unix.Catalog.GetString("Skip logos at startup");
		this.btnNoSplash.DrawIndicator = true;
		this.btnNoSplash.UseUnderline = true;
		this.vboxParameters.Add(this.btnNoSplash);
		global::Gtk.Box.BoxChild w7 = ((global::Gtk.Box.BoxChild)(this.vboxParameters[this.btnNoSplash]));
		w7.Position = 0;
		w7.Expand = false;
		w7.Fill = false;
		// Container child vboxParameters.Gtk.Box+BoxChild
		this.btnSkipIntro = new global::Gtk.CheckButton();
		this.btnSkipIntro.CanFocus = true;
		this.btnSkipIntro.Name = "btnSkipIntro";
		this.btnSkipIntro.Label = global::Mono.Unix.Catalog.GetString("Show static menu background");
		this.btnSkipIntro.DrawIndicator = true;
		this.btnSkipIntro.UseUnderline = true;
		this.vboxParameters.Add(this.btnSkipIntro);
		global::Gtk.Box.BoxChild w8 = ((global::Gtk.Box.BoxChild)(this.vboxParameters[this.btnSkipIntro]));
		w8.Position = 1;
		w8.Expand = false;
		w8.Fill = false;
		// Container child vboxParameters.Gtk.Box+BoxChild
		this.btnWindowed = new global::Gtk.CheckButton();
		this.btnWindowed.CanFocus = true;
		this.btnWindowed.Name = "btnWindowed";
		this.btnWindowed.Label = global::Mono.Unix.Catalog.GetString("Force start in a window");
		this.btnWindowed.DrawIndicator = true;
		this.btnWindowed.UseUnderline = true;
		this.vboxParameters.Add(this.btnWindowed);
		global::Gtk.Box.BoxChild w9 = ((global::Gtk.Box.BoxChild)(this.vboxParameters[this.btnWindowed]));
		w9.Position = 2;
		w9.Expand = false;
		w9.Fill = false;
		// Container child vboxParameters.Gtk.Box+BoxChild
		this.hbox2 = new global::Gtk.HBox();
		this.hbox2.Name = "hbox2";
		// Container child hbox2.Gtk.Box+BoxChild
		this.cbExtraParams = new global::Gtk.CheckButton();
		this.cbExtraParams.CanFocus = true;
		this.cbExtraParams.Name = "cbExtraParams";
		this.cbExtraParams.Label = global::Mono.Unix.Catalog.GetString("Extra command line parameters: ");
		this.cbExtraParams.DrawIndicator = true;
		this.cbExtraParams.UseUnderline = true;
		this.hbox2.Add(this.cbExtraParams);
		global::Gtk.Box.BoxChild w10 = ((global::Gtk.Box.BoxChild)(this.hbox2[this.cbExtraParams]));
		w10.Position = 0;
		w10.Expand = false;
		w10.Fill = false;
		// Container child hbox2.Gtk.Box+BoxChild
		this.teExtraParams = new global::Gtk.Entry();
		this.teExtraParams.CanFocus = true;
		this.teExtraParams.Name = "teExtraParams";
		this.teExtraParams.IsEditable = true;
		this.teExtraParams.InvisibleChar = '•';
		this.hbox2.Add(this.teExtraParams);
		global::Gtk.Box.BoxChild w11 = ((global::Gtk.Box.BoxChild)(this.hbox2[this.teExtraParams]));
		w11.Position = 1;
		this.vboxParameters.Add(this.hbox2);
		global::Gtk.Box.BoxChild w12 = ((global::Gtk.Box.BoxChild)(this.vboxParameters[this.hbox2]));
		w12.Position = 3;
		w12.Expand = false;
		w12.Fill = false;
		this.notebook1.Add(this.vboxParameters);
		global::Gtk.Notebook.NotebookChild w13 = ((global::Gtk.Notebook.NotebookChild)(this.notebook1[this.vboxParameters]));
		w13.Position = 1;
		w13.TabFill = false;
		// Notebook tab
		this.labParameters = new global::Gtk.Label();
		this.labParameters.Name = "labParameters";
		this.labParameters.LabelProp = global::Mono.Unix.Catalog.GetString("Parameters");
		this.notebook1.SetTabLabel(this.vboxParameters, this.labParameters);
		this.labParameters.ShowAll();
		// Container child notebook1.Gtk.Notebook+NotebookChild
		this.vboxMods = new global::Gtk.VBox();
		this.vboxMods.Name = "vboxMods";
		this.vboxMods.Spacing = 6;
		// Container child vboxMods.Gtk.Box+BoxChild
		this.swModList = new global::Gtk.ScrolledWindow();
		this.swModList.Name = "swModList";
		this.swModList.ShadowType = ((global::Gtk.ShadowType)(1));
		// Container child swModList.Gtk.Container+ContainerChild
		this.tvModList = new global::Gtk.TreeView();
		this.tvModList.CanFocus = true;
		this.tvModList.Name = "tvModList";
		this.swModList.Add(this.tvModList);
		this.vboxMods.Add(this.swModList);
		global::Gtk.Box.BoxChild w15 = ((global::Gtk.Box.BoxChild)(this.vboxMods[this.swModList]));
		w15.Position = 0;
		// Container child vboxMods.Gtk.Box+BoxChild
		this.hbox1 = new global::Gtk.HBox();
		this.hbox1.Name = "hbox1";
		this.hbox1.Spacing = 6;
		// Container child hbox1.Gtk.Box+BoxChild
		this.btnSaveModPreset = new global::Gtk.Button();
		this.btnSaveModPreset.CanFocus = true;
		this.btnSaveModPreset.Name = "btnSaveModPreset";
		this.btnSaveModPreset.UseUnderline = true;
		this.btnSaveModPreset.Label = global::Mono.Unix.Catalog.GetString("Save Preset");
		global::Gtk.Image w16 = new global::Gtk.Image();
		w16.Pixbuf = global::Stetic.IconLoader.LoadIcon(this, "gtk-save", global::Gtk.IconSize.Menu);
		this.btnSaveModPreset.Image = w16;
		this.hbox1.Add(this.btnSaveModPreset);
		global::Gtk.Box.BoxChild w17 = ((global::Gtk.Box.BoxChild)(this.hbox1[this.btnSaveModPreset]));
		w17.Position = 0;
		w17.Expand = false;
		w17.Fill = false;
		// Container child hbox1.Gtk.Box+BoxChild
		this.btnLoadModPreset = new global::Gtk.Button();
		this.btnLoadModPreset.CanFocus = true;
		this.btnLoadModPreset.Name = "btnLoadModPreset";
		this.btnLoadModPreset.UseUnderline = true;
		this.btnLoadModPreset.Label = global::Mono.Unix.Catalog.GetString("Load Preset");
		global::Gtk.Image w18 = new global::Gtk.Image();
		w18.Pixbuf = global::Stetic.IconLoader.LoadIcon(this, "gtk-directory", global::Gtk.IconSize.Menu);
		this.btnLoadModPreset.Image = w18;
		this.hbox1.Add(this.btnLoadModPreset);
		global::Gtk.Box.BoxChild w19 = ((global::Gtk.Box.BoxChild)(this.hbox1[this.btnLoadModPreset]));
		w19.Position = 1;
		w19.Expand = false;
		w19.Fill = false;
		this.vboxMods.Add(this.hbox1);
		global::Gtk.Box.BoxChild w20 = ((global::Gtk.Box.BoxChild)(this.vboxMods[this.hbox1]));
		w20.Position = 2;
		w20.Expand = false;
		w20.Fill = false;
		this.notebook1.Add(this.vboxMods);
		global::Gtk.Notebook.NotebookChild w21 = ((global::Gtk.Notebook.NotebookChild)(this.notebook1[this.vboxMods]));
		w21.Position = 2;
		// Notebook tab
		this.labMods = new global::Gtk.Label();
		this.labMods.Name = "labMods";
		this.labMods.LabelProp = global::Mono.Unix.Catalog.GetString("Mods");
		this.notebook1.SetTabLabel(this.vboxMods, this.labMods);
		this.labMods.ShowAll();
		// Container child notebook1.Gtk.Notebook+NotebookChild
		this.vboxServerBrowser = new global::Gtk.VBox();
		this.vboxServerBrowser.Name = "vboxServerBrowser";
		this.vboxServerBrowser.Spacing = 6;
		// Container child vboxServerBrowser.Gtk.Box+BoxChild
		this.hboxServerTypes = new global::Gtk.HBox();
		this.hboxServerTypes.Name = "hboxServerTypes";
		this.hboxServerTypes.Spacing = 6;
		// Container child hboxServerTypes.Gtk.Box+BoxChild
		this.rbServerInternet = new global::Gtk.RadioButton(global::Mono.Unix.Catalog.GetString("Internet"));
		this.rbServerInternet.CanFocus = true;
		this.rbServerInternet.Name = "rbServerInternet";
		this.rbServerInternet.Active = true;
		this.rbServerInternet.DrawIndicator = false;
		this.rbServerInternet.Group = new global::GLib.SList(global::System.IntPtr.Zero);
		this.hboxServerTypes.Add(this.rbServerInternet);
		global::Gtk.Box.BoxChild w22 = ((global::Gtk.Box.BoxChild)(this.hboxServerTypes[this.rbServerInternet]));
		w22.Position = 0;
		// Container child hboxServerTypes.Gtk.Box+BoxChild
		this.rbServerFavorites = new global::Gtk.RadioButton(global::Mono.Unix.Catalog.GetString("Favorites"));
		this.rbServerFavorites.CanFocus = true;
		this.rbServerFavorites.Name = "rbServerFavorites";
		this.rbServerFavorites.DrawIndicator = false;
		this.rbServerFavorites.Group = this.rbServerInternet.Group;
		this.hboxServerTypes.Add(this.rbServerFavorites);
		global::Gtk.Box.BoxChild w23 = ((global::Gtk.Box.BoxChild)(this.hboxServerTypes[this.rbServerFavorites]));
		w23.Position = 1;
		// Container child hboxServerTypes.Gtk.Box+BoxChild
		this.rbServerHistory = new global::Gtk.RadioButton(global::Mono.Unix.Catalog.GetString("History"));
		this.rbServerHistory.CanFocus = true;
		this.rbServerHistory.Name = "rbServerHistory";
		this.rbServerHistory.DrawIndicator = false;
		this.rbServerHistory.Group = this.rbServerInternet.Group;
		this.hboxServerTypes.Add(this.rbServerHistory);
		global::Gtk.Box.BoxChild w24 = ((global::Gtk.Box.BoxChild)(this.hboxServerTypes[this.rbServerHistory]));
		w24.Position = 2;
		// Container child hboxServerTypes.Gtk.Box+BoxChild
		this.rbServerLan = new global::Gtk.RadioButton(global::Mono.Unix.Catalog.GetString("LAN"));
		this.rbServerLan.CanFocus = true;
		this.rbServerLan.Name = "rbServerLan";
		this.rbServerLan.DrawIndicator = false;
		this.rbServerLan.Group = this.rbServerInternet.Group;
		this.hboxServerTypes.Add(this.rbServerLan);
		global::Gtk.Box.BoxChild w25 = ((global::Gtk.Box.BoxChild)(this.hboxServerTypes[this.rbServerLan]));
		w25.Position = 3;
		// Container child hboxServerTypes.Gtk.Box+BoxChild
		this.rbServerFriends = new global::Gtk.RadioButton(global::Mono.Unix.Catalog.GetString("Friends"));
		this.rbServerFriends.CanFocus = true;
		this.rbServerFriends.Name = "rbServerFriends";
		this.rbServerFriends.DrawIndicator = false;
		this.rbServerFriends.Group = this.rbServerInternet.Group;
		this.hboxServerTypes.Add(this.rbServerFriends);
		global::Gtk.Box.BoxChild w26 = ((global::Gtk.Box.BoxChild)(this.hboxServerTypes[this.rbServerFriends]));
		w26.Position = 4;
		this.vboxServerBrowser.Add(this.hboxServerTypes);
		global::Gtk.Box.BoxChild w27 = ((global::Gtk.Box.BoxChild)(this.vboxServerBrowser[this.hboxServerTypes]));
		w27.Position = 0;
		w27.Expand = false;
		w27.Fill = false;
		// Container child vboxServerBrowser.Gtk.Box+BoxChild
		this.hboxServerUpperBar = new global::Gtk.HBox();
		this.hboxServerUpperBar.Name = "hboxServerUpperBar";
		this.hboxServerUpperBar.Spacing = 6;
		// Container child hboxServerUpperBar.Gtk.Box+BoxChild
		this.expFilters = new global::Gtk.Expander(null);
		this.expFilters.CanFocus = true;
		this.expFilters.Name = "expFilters";
		this.expFilters.Expanded = true;
		// Container child expFilters.Gtk.Container+ContainerChild
		this.hboxFilters = new global::Gtk.HBox();
		this.hboxFilters.Name = "hboxFilters";
		this.hboxFilters.Spacing = 6;
		// Container child hboxFilters.Gtk.Box+BoxChild
		this.hboxFilterBattlEye = new global::Gtk.HBox();
		this.hboxFilterBattlEye.Name = "hboxFilterBattlEye";
		this.hboxFilterBattlEye.Spacing = 6;
		// Container child hboxFilterBattlEye.Gtk.Box+BoxChild
		this.lblFilterBattlEye = new global::Gtk.Label();
		this.lblFilterBattlEye.Name = "lblFilterBattlEye";
		this.lblFilterBattlEye.LabelProp = global::Mono.Unix.Catalog.GetString("BattlEye:");
		this.hboxFilterBattlEye.Add(this.lblFilterBattlEye);
		global::Gtk.Box.BoxChild w28 = ((global::Gtk.Box.BoxChild)(this.hboxFilterBattlEye[this.lblFilterBattlEye]));
		w28.Position = 0;
		w28.Expand = false;
		w28.Fill = false;
		// Container child hboxFilterBattlEye.Gtk.Box+BoxChild
		this.rbFilterBattlEyeAny = new global::Gtk.RadioButton(global::Mono.Unix.Catalog.GetString("Any"));
		this.rbFilterBattlEyeAny.CanFocus = true;
		this.rbFilterBattlEyeAny.Name = "rbFilterBattlEyeAny";
		this.rbFilterBattlEyeAny.Active = true;
		this.rbFilterBattlEyeAny.DrawIndicator = true;
		this.rbFilterBattlEyeAny.UseUnderline = true;
		this.rbFilterBattlEyeAny.Group = new global::GLib.SList(global::System.IntPtr.Zero);
		this.hboxFilterBattlEye.Add(this.rbFilterBattlEyeAny);
		global::Gtk.Box.BoxChild w29 = ((global::Gtk.Box.BoxChild)(this.hboxFilterBattlEye[this.rbFilterBattlEyeAny]));
		w29.Position = 1;
		w29.Expand = false;
		w29.Fill = false;
		// Container child hboxFilterBattlEye.Gtk.Box+BoxChild
		this.rbFilterBattlEyeYes = new global::Gtk.RadioButton(global::Mono.Unix.Catalog.GetString("Yes"));
		this.rbFilterBattlEyeYes.CanFocus = true;
		this.rbFilterBattlEyeYes.Name = "rbFilterBattlEyeYes";
		this.rbFilterBattlEyeYes.DrawIndicator = true;
		this.rbFilterBattlEyeYes.UseUnderline = true;
		this.rbFilterBattlEyeYes.Group = this.rbFilterBattlEyeAny.Group;
		this.hboxFilterBattlEye.Add(this.rbFilterBattlEyeYes);
		global::Gtk.Box.BoxChild w30 = ((global::Gtk.Box.BoxChild)(this.hboxFilterBattlEye[this.rbFilterBattlEyeYes]));
		w30.Position = 2;
		w30.Expand = false;
		w30.Fill = false;
		// Container child hboxFilterBattlEye.Gtk.Box+BoxChild
		this.rbFilterBattlEyeNo = new global::Gtk.RadioButton(global::Mono.Unix.Catalog.GetString("No"));
		this.rbFilterBattlEyeNo.CanFocus = true;
		this.rbFilterBattlEyeNo.Name = "rbFilterBattlEyeNo";
		this.rbFilterBattlEyeNo.DrawIndicator = true;
		this.rbFilterBattlEyeNo.UseUnderline = true;
		this.rbFilterBattlEyeNo.Group = this.rbFilterBattlEyeAny.Group;
		this.hboxFilterBattlEye.Add(this.rbFilterBattlEyeNo);
		global::Gtk.Box.BoxChild w31 = ((global::Gtk.Box.BoxChild)(this.hboxFilterBattlEye[this.rbFilterBattlEyeNo]));
		w31.Position = 3;
		w31.Expand = false;
		w31.Fill = false;
		this.hboxFilters.Add(this.hboxFilterBattlEye);
		global::Gtk.Box.BoxChild w32 = ((global::Gtk.Box.BoxChild)(this.hboxFilters[this.hboxFilterBattlEye]));
		w32.Position = 1;
		// Container child hboxFilters.Gtk.Box+BoxChild
		this.vboxFiltersRight = new global::Gtk.VBox();
		this.vboxFiltersRight.Name = "vboxFiltersRight";
		this.vboxFiltersRight.Spacing = 6;
		// Container child vboxFiltersRight.Gtk.Box+BoxChild
		this.btnFilterNotFull = new global::Gtk.CheckButton();
		this.btnFilterNotFull.CanFocus = true;
		this.btnFilterNotFull.Name = "btnFilterNotFull";
		this.btnFilterNotFull.Label = global::Mono.Unix.Catalog.GetString("Server not full");
		this.btnFilterNotFull.DrawIndicator = true;
		this.btnFilterNotFull.UseUnderline = true;
		this.vboxFiltersRight.Add(this.btnFilterNotFull);
		global::Gtk.Box.BoxChild w33 = ((global::Gtk.Box.BoxChild)(this.vboxFiltersRight[this.btnFilterNotFull]));
		w33.Position = 0;
		w33.Expand = false;
		w33.Fill = false;
		// Container child vboxFiltersRight.Gtk.Box+BoxChild
		this.btnFilterHasPlayers = new global::Gtk.CheckButton();
		this.btnFilterHasPlayers.CanFocus = true;
		this.btnFilterHasPlayers.Name = "btnFilterHasPlayers";
		this.btnFilterHasPlayers.Label = global::Mono.Unix.Catalog.GetString("Server has players");
		this.btnFilterHasPlayers.DrawIndicator = true;
		this.btnFilterHasPlayers.UseUnderline = true;
		this.vboxFiltersRight.Add(this.btnFilterHasPlayers);
		global::Gtk.Box.BoxChild w34 = ((global::Gtk.Box.BoxChild)(this.vboxFiltersRight[this.btnFilterHasPlayers]));
		w34.Position = 1;
		w34.Expand = false;
		w34.Fill = false;
		// Container child vboxFiltersRight.Gtk.Box+BoxChild
		this.btnFilterNoPassword = new global::Gtk.CheckButton();
		this.btnFilterNoPassword.CanFocus = true;
		this.btnFilterNoPassword.Name = "btnFilterNoPassword";
		this.btnFilterNoPassword.Label = global::Mono.Unix.Catalog.GetString("No password required");
		this.btnFilterNoPassword.DrawIndicator = true;
		this.btnFilterNoPassword.UseUnderline = true;
		this.vboxFiltersRight.Add(this.btnFilterNoPassword);
		global::Gtk.Box.BoxChild w35 = ((global::Gtk.Box.BoxChild)(this.vboxFiltersRight[this.btnFilterNoPassword]));
		w35.Position = 2;
		w35.Expand = false;
		w35.Fill = false;
		this.hboxFilters.Add(this.vboxFiltersRight);
		global::Gtk.Box.BoxChild w36 = ((global::Gtk.Box.BoxChild)(this.hboxFilters[this.vboxFiltersRight]));
		w36.PackType = ((global::Gtk.PackType)(1));
		w36.Position = 2;
		this.expFilters.Add(this.hboxFilters);
		this.lblExpFilters = new global::Gtk.Label();
		this.lblExpFilters.Name = "lblExpFilters";
		this.lblExpFilters.LabelProp = global::Mono.Unix.Catalog.GetString("Filters");
		this.lblExpFilters.UseUnderline = true;
		this.expFilters.LabelWidget = this.lblExpFilters;
		this.hboxServerUpperBar.Add(this.expFilters);
		global::Gtk.Box.BoxChild w38 = ((global::Gtk.Box.BoxChild)(this.hboxServerUpperBar[this.expFilters]));
		w38.Position = 0;
		this.vboxServerBrowser.Add(this.hboxServerUpperBar);
		global::Gtk.Box.BoxChild w39 = ((global::Gtk.Box.BoxChild)(this.vboxServerBrowser[this.hboxServerUpperBar]));
		w39.Position = 1;
		w39.Expand = false;
		w39.Fill = false;
		// Container child vboxServerBrowser.Gtk.Box+BoxChild
		this.GtkScrolledWindow = new global::Gtk.ScrolledWindow();
		this.GtkScrolledWindow.Name = "GtkScrolledWindow";
		this.GtkScrolledWindow.ShadowType = ((global::Gtk.ShadowType)(1));
		// Container child GtkScrolledWindow.Gtk.Container+ContainerChild
		this.tvServerList = new global::Gtk.TreeView();
		this.tvServerList.CanFocus = true;
		this.tvServerList.Name = "tvServerList";
		this.GtkScrolledWindow.Add(this.tvServerList);
		this.vboxServerBrowser.Add(this.GtkScrolledWindow);
		global::Gtk.Box.BoxChild w41 = ((global::Gtk.Box.BoxChild)(this.vboxServerBrowser[this.GtkScrolledWindow]));
		w41.Position = 2;
		// Container child vboxServerBrowser.Gtk.Box+BoxChild
		this.hboxServerLowerBar = new global::Gtk.HBox();
		this.hboxServerLowerBar.Name = "hboxServerLowerBar";
		this.hboxServerLowerBar.Spacing = 6;
		// Container child hboxServerLowerBar.Gtk.Box+BoxChild
		this.btnServerConnectDirect = new global::Gtk.Button();
		this.btnServerConnectDirect.CanFocus = true;
		this.btnServerConnectDirect.Name = "btnServerConnectDirect";
		this.btnServerConnectDirect.UseUnderline = true;
		this.btnServerConnectDirect.Label = global::Mono.Unix.Catalog.GetString("Direct Connect");
		this.hboxServerLowerBar.Add(this.btnServerConnectDirect);
		global::Gtk.Box.BoxChild w42 = ((global::Gtk.Box.BoxChild)(this.hboxServerLowerBar[this.btnServerConnectDirect]));
		w42.Position = 0;
		w42.Expand = false;
		w42.Fill = false;
		// Container child hboxServerLowerBar.Gtk.Box+BoxChild
		this.btnServerRefresh = new global::Gtk.Button();
		this.btnServerRefresh.CanFocus = true;
		this.btnServerRefresh.Name = "btnServerRefresh";
		this.btnServerRefresh.UseUnderline = true;
		this.btnServerRefresh.Label = global::Mono.Unix.Catalog.GetString("Refresh");
		global::Gtk.Image w43 = new global::Gtk.Image();
		w43.Pixbuf = global::Stetic.IconLoader.LoadIcon(this, "gtk-refresh", global::Gtk.IconSize.Menu);
		this.btnServerRefresh.Image = w43;
		this.hboxServerLowerBar.Add(this.btnServerRefresh);
		global::Gtk.Box.BoxChild w44 = ((global::Gtk.Box.BoxChild)(this.hboxServerLowerBar[this.btnServerRefresh]));
		w44.Position = 1;
		w44.Expand = false;
		w44.Fill = false;
		// Container child hboxServerLowerBar.Gtk.Box+BoxChild
		this.btnSelectedServerConnect = new global::Gtk.Button();
		this.btnSelectedServerConnect.Sensitive = false;
		this.btnSelectedServerConnect.CanFocus = true;
		this.btnSelectedServerConnect.Name = "btnSelectedServerConnect";
		this.btnSelectedServerConnect.UseUnderline = true;
		this.btnSelectedServerConnect.Label = global::Mono.Unix.Catalog.GetString("Connect");
		this.hboxServerLowerBar.Add(this.btnSelectedServerConnect);
		global::Gtk.Box.BoxChild w45 = ((global::Gtk.Box.BoxChild)(this.hboxServerLowerBar[this.btnSelectedServerConnect]));
		w45.PackType = ((global::Gtk.PackType)(1));
		w45.Position = 3;
		w45.Expand = false;
		w45.Fill = false;
		// Container child hboxServerLowerBar.Gtk.Box+BoxChild
		this.btnSelectedServerDetails = new global::Gtk.Button();
		this.btnSelectedServerDetails.Sensitive = false;
		this.btnSelectedServerDetails.CanFocus = true;
		this.btnSelectedServerDetails.Name = "btnSelectedServerDetails";
		this.btnSelectedServerDetails.UseUnderline = true;
		this.btnSelectedServerDetails.Label = global::Mono.Unix.Catalog.GetString("Details");
		this.hboxServerLowerBar.Add(this.btnSelectedServerDetails);
		global::Gtk.Box.BoxChild w46 = ((global::Gtk.Box.BoxChild)(this.hboxServerLowerBar[this.btnSelectedServerDetails]));
		w46.PackType = ((global::Gtk.PackType)(1));
		w46.Position = 4;
		w46.Expand = false;
		w46.Fill = false;
		this.vboxServerBrowser.Add(this.hboxServerLowerBar);
		global::Gtk.Box.BoxChild w47 = ((global::Gtk.Box.BoxChild)(this.vboxServerBrowser[this.hboxServerLowerBar]));
		w47.Position = 3;
		w47.Expand = false;
		w47.Fill = false;
		this.notebook1.Add(this.vboxServerBrowser);
		global::Gtk.Notebook.NotebookChild w48 = ((global::Gtk.Notebook.NotebookChild)(this.notebook1[this.vboxServerBrowser]));
		w48.Position = 3;
		// Notebook tab
		this.labServers = new global::Gtk.Label();
		this.labServers.Name = "labServers";
		this.labServers.LabelProp = global::Mono.Unix.Catalog.GetString("Servers");
		this.notebook1.SetTabLabel(this.vboxServerBrowser, this.labServers);
		this.labServers.ShowAll();
		// Container child notebook1.Gtk.Notebook+NotebookChild
		this.vboxOptions = new global::Gtk.VBox();
		this.vboxOptions.Name = "vboxOptions";
		this.vboxOptions.Spacing = 6;
		// Container child vboxOptions.Gtk.Box+BoxChild
		this.hboxProtonExe = new global::Gtk.HBox();
		this.hboxProtonExe.Name = "hboxProtonExe";
		this.hboxProtonExe.Spacing = 6;
		// Container child hboxProtonExe.Gtk.Box+BoxChild
		this.lblProtonExe = new global::Gtk.Label();
		this.lblProtonExe.Name = "lblProtonExe";
		this.lblProtonExe.LabelProp = global::Mono.Unix.Catalog.GetString("Proton Executable");
		this.hboxProtonExe.Add(this.lblProtonExe);
		global::Gtk.Box.BoxChild w49 = ((global::Gtk.Box.BoxChild)(this.hboxProtonExe[this.lblProtonExe]));
		w49.Position = 0;
		w49.Expand = false;
		w49.Fill = false;
		// Container child hboxProtonExe.Gtk.Box+BoxChild
		this.fcProtonExe = new global::Gtk.FileChooserButton(global::Mono.Unix.Catalog.GetString("Select proton executable"), ((global::Gtk.FileChooserAction)(0)));
		this.fcProtonExe.Name = "fcProtonExe";
		this.hboxProtonExe.Add(this.fcProtonExe);
		global::Gtk.Box.BoxChild w50 = ((global::Gtk.Box.BoxChild)(this.hboxProtonExe[this.fcProtonExe]));
		w50.Position = 1;
		this.vboxOptions.Add(this.hboxProtonExe);
		global::Gtk.Box.BoxChild w51 = ((global::Gtk.Box.BoxChild)(this.vboxOptions[this.hboxProtonExe]));
		w51.Position = 0;
		w51.Expand = false;
		w51.Fill = false;
		this.notebook1.Add(this.vboxOptions);
		global::Gtk.Notebook.NotebookChild w52 = ((global::Gtk.Notebook.NotebookChild)(this.notebook1[this.vboxOptions]));
		w52.Position = 4;
		// Notebook tab
		this.labOptionsTab = new global::Gtk.Label();
		this.labOptionsTab.Name = "labOptionsTab";
		this.labOptionsTab.LabelProp = global::Mono.Unix.Catalog.GetString("Options");
		this.notebook1.SetTabLabel(this.vboxOptions, this.labOptionsTab);
		this.labOptionsTab.ShowAll();
		this.vboxMainWindow.Add(this.notebook1);
		global::Gtk.Box.BoxChild w53 = ((global::Gtk.Box.BoxChild)(this.vboxMainWindow[this.notebook1]));
		w53.Position = 0;
		this.Add(this.vboxMainWindow);
		if ((this.Child != null))
		{
			this.Child.ShowAll();
		}
		this.Show();
		this.DeleteEvent += new global::Gtk.DeleteEventHandler(this.OnDeleteEvent);
		this.notebook1.SwitchPage += new global::Gtk.SwitchPageHandler(this.OnNotebook1SwitchPage);
		this.btnPlayBattlEye.Toggled += new global::System.EventHandler(this.OnBtnPlayBattlEyeToggled);
		this.btnEnableGm.Toggled += new global::System.EventHandler(this.OnBtnEnableGmToggled);
		this.btnEnableContact.Toggled += new global::System.EventHandler(this.OnBtnEnableContactToggled);
		this.btnPlayWithoutMods.Clicked += new global::System.EventHandler(this.OnBtnPlayWithoutModsClicked);
		this.btnPlayWithMods.Clicked += new global::System.EventHandler(this.OnBtnPlayWithModsClicked);
		this.btnNoSplash.Toggled += new global::System.EventHandler(this.OnBtnNoSplashToggled);
		this.btnSkipIntro.Toggled += new global::System.EventHandler(this.OnBtnSkipIntroToggled);
		this.btnWindowed.Toggled += new global::System.EventHandler(this.OnBtnWindowedToggled);
		this.teExtraParams.Changed += new global::System.EventHandler(this.OnTeExtraParamsChanged);
		this.btnSaveModPreset.Clicked += new global::System.EventHandler(this.OnBtnSaveModPresetClicked);
		this.btnLoadModPreset.Clicked += new global::System.EventHandler(this.OnBtnLoadModPresetClicked);
		this.rbServerInternet.Toggled += new global::System.EventHandler(this.OnRbServerInternetToggled);
		this.rbServerFavorites.Toggled += new global::System.EventHandler(this.OnRbServerFavoritesToggled);
		this.rbServerHistory.Toggled += new global::System.EventHandler(this.OnRbServerHistoryToggled);
		this.rbServerLan.Toggled += new global::System.EventHandler(this.OnRbServerLANToggled);
		this.rbServerFriends.Toggled += new global::System.EventHandler(this.OnRbServerFriendsToggled);
		this.rbFilterBattlEyeAny.Toggled += new global::System.EventHandler(this.OnRbFilterBattlEyeAnyToggled);
		this.rbFilterBattlEyeYes.Toggled += new global::System.EventHandler(this.OnRbFilterBattlEyeYesToggled);
		this.rbFilterBattlEyeNo.Toggled += new global::System.EventHandler(this.OnRbFilterBattlEyeNoToggled);
		this.btnFilterNotFull.Toggled += new global::System.EventHandler(this.OnBtnFilterNotFullToggled);
		this.btnFilterHasPlayers.Toggled += new global::System.EventHandler(this.OnBtnFilterHasPlayersToggled);
		this.btnFilterNoPassword.Toggled += new global::System.EventHandler(this.OnBtnFilterNoPasswordToggled);
		this.btnServerConnectDirect.Clicked += new global::System.EventHandler(this.OnBtnServerConnectDirectClicked);
		this.btnServerRefresh.Clicked += new global::System.EventHandler(this.OnBtnServerRefreshClicked);
		this.btnSelectedServerDetails.Clicked += new global::System.EventHandler(this.OnBtnSelectedServerDetailsClicked);
		this.btnSelectedServerConnect.Clicked += new global::System.EventHandler(this.OnBtnSelectedServerConnectClicked);
		this.fcProtonExe.SelectionChanged += new global::System.EventHandler(this.OnFcProtonExeSelectionChanged);
	}
}
